baz_burst_buffer.h File Reference
`#include <gnuradio/block.h>`
`#include <boost/thread.hpp>`
Include dependency graph for baz_burst_buffer.h:

Go to the source code of this file.

## Classes

class | baz_burst_buffer
| buffer bursts More...

## Functions

BAZ_API baz_burst_buffer_sptr | baz_make_burst_buffer (size_t itemsize, int flush_length=0, const std::string &length_tag_name="", bool verbose=false, bool only_burst=false, bool strip_tags=true)

## Variables

class BAZ_API | baz_burst_buffer

## Function Documentation

## baz_make_burst_buffer()

BAZ_API baz_burst_buffer_sptr baz_make_burst_buffer | ( | size_t | itemsize,
|  | int | flush_length = `0`,
|  | const std::string & | length_tag_name = `""`,
|  | bool | verbose = `false`,
|  | bool | only_burst = `false`,
|  | bool | strip_tags = `true`
| ) |  |

## Variable Documentation

## baz_burst_buffer

class BAZ_API baz_burst_buffer